Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81457 - Let anaconda check if sufficient memory is available
Summary: Let anaconda check if sufficient memory is available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 17:37 UTC by udippel
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-10 05:26:46 UTC


Attachments (Terms of Use)

Description udippel 2003-01-09 17:37:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
Refering to Bug 77832 (compare!): it's bad programming not to make anaconda
check if sufficient memory is available. Especially, when a new version (here:
8.0) requires a decent increase in memory size to run. To simply let it crash
like proposed in that bug is a no-brainer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. upgrade / install RH8.0 on machine with less than 64+MB RAM / 128 MB swap
2.
3.
    

Actual Results:  crash

Expected Results:  anaconda checks and advises

Additional info:

Comment 1 Michael Lee Yohe 2003-01-09 21:00:39 UTC
I think one of the bugs related to this issue says that what you request is
already in the latest version of Anaconda (available in Rawhide).  I would
imagine that the patch is old enough that Phoebe (8.0.92) specifies that it is
unable to install/upgrade in graphical mode with that much memory.

This memory stipulation will probably be a good thing to add to the release
notes of the distribution (will add bug enhancement request..)

Comment 2 Jeremy Katz 2003-01-10 05:26:46 UTC
It's already specified on the box and in the system requirements in the
documentation.  We've changed some of our limits on when we use graphical mode
and when we turn on swap early, etc to help the problems of low ram installations.


Note You need to log in before you can comment on or make changes to this bug.